# std::bad_exception::operator=

From cppreference.com
< cpp‎ | error‎ | bad exception

bad_exception& operator=( const bad_exception& other ) throw(); |  | (until C++11)
bad_exception& operator=( const bad_exception& other ) noexcept; |  | (since C++11) (constexpr since C++26)

Assigns the contents of other. If *this and other both have dynamic type `std::exception` then std::strcmp (what(), other.what()) == 0 after assignment.(since C++11)

### Parameters

other | - | another `bad_exception` object to assign

### Return value

*this.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/bad_exception/operator%3D&oldid=177849"